<template>
  <div class="pb-[90px] md:pb-[170px] px-5 md:px-0 bg-gradient-to-b hero-gradient -mt-[100px] pt-[100px]">
    <div class="w-full md:w-[1267px] mx-auto relative">
      <div class="w-[200px] h-[200px] bg-[#97CC56] blur-[90px] absolute top-[382px] right-[374px] opacity-60 animate-up-down-green-circle"></div>
      <div class="w-[200px] h-[200px] bg-[#B3E9FF] blur-[90px] absolute top-[102px] -right-[10px] opacity-60 animate-up-down-blue-circle"></div>
      <div class="block md:flex w-full justify-between items-center relative z-10">
        <div class="w-full md:w-[650px] shrink-0">
          <div class="mt-12 md:mt-0 text-center md:text-left text-[16px] md:text-[31px] text-white">Simulasikan Pembayaran Lebih Cepat dengan</div>
          <div class="text-[32px] text-center md:text-left md:text-[56px] font-bold leading-[42px] md:leading-[84px] text-white">API Embeded <br/> Financing Paper!</div>
        </div>
        <div class="p-4 rounded-[10px] transparent-gradient mt-10 relative">
          <div class="w-full md:w-[540px] bg-white rounded-[10px] px-6 py-[30px] relative">
            <StepWizard v-if="!isShowLoanAmount" />
            <LoanAmount v-if="!isShowPersonalInfo" />
            <PersonalInfoForm v-if="isShowPersonalInfo && !isShowChoosePlatform" />
            <ChoosePlatform v-if="isShowChoosePlatform && !isShowSignUpload" />
            <SignUpload v-if="isShowSignUpload" />
            <div class="flex justify-center absolute w-full left-0 -bottom-[47px] items-center animate-up-down-text">
              <font-awesome-icon icon="arrow-up" class="w-[16px] h-[16px] text-[#C2CDD5] mr-2" />
              <div class="text-[16px] text-[#C2CDD5]">Anda dapat berinteraksi pada tampilan ini</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus';
import LoanAmount from './LoanAmount.vue';
import PersonalInfoForm from './PersonalInfoForm.vue';
import ChoosePlatform from './ChoosePlatform.vue';
import SignUpload from './SignUpload.vue';
import StepWizard from './StepWizard.vue';

export default {
  name: 'HeroSection',
  data() {
    return {
      isShowLoanAmount: true,
      isShowPersonalInfo: false,
      isShowChoosePlatform: false,
      isShowSignUpload: false,
    }
  },
  components: {
    LoanAmount,
    PersonalInfoForm,
    ChoosePlatform,
    SignUpload,
    StepWizard
  },
  created() {
    EventBus.$on('show-personal-info', this.showPersonalInfo);
    EventBus.$on('show-choose-platform', this.showChoosePlatform);
    EventBus.$on('show-sign-upload', this.showSignUpload);
    EventBus.$on('show-loan-amount', this.showLoanAmount);
  },
  methods: {
    showPersonalInfo() {
      this.isShowPersonalInfo = true
      this.isShowLoanAmount = false
    },
    showChoosePlatform() {
      this.isShowChoosePlatform = true
    },
    showSignUpload() {
      this.isShowSignUpload = true
    },
    showLoanAmount() {
      this.isShowPersonalInfo = false
      this.isShowSignUpload = false
      this.isShowChoosePlatform = false
      this.isShowLoanAmount = true
    }
  },
  beforeDestroy() {
    EventBus.$off('show-personal-info', this.showPersonalInfo);
  },
}
</script>

<style lang="scss">
.hero-gradient {
  background: linear-gradient(191deg, #4195D5 -45.71%, #3279AE 20.59%, #26628E 46.93%, #133F5D 106.93%);
}
.transparent-gradient {
  background: linear-gradient(135deg, rgba(255, 255, 255, 0.62) 0%, rgba(255, 255, 255, 0.00) 100%);
}
.animate-up-down {
  &-text {
    animation: MoveUpDownText 3s linear infinite;
  }
  &-green-circle {
    animation: MoveUpDownGreenCircle 6s linear infinite;
  }
  &-blue-circle {
    animation: MoveUpDownBlueCircle 6s linear infinite;
  }
}
@keyframes MoveUpDownText {
  0%, 100% {
    bottom: -47px;
  }
  50% {
    bottom: -64px;
  }
}

@keyframes MoveUpDownGreenCircle {
  0%, 100% {
    top: 100px;
  }
  50% {
    top: 300px;
  }
}

@keyframes MoveUpDownBlueCircle {
  0%, 100% {
    top: 300px;
  }
  50% {
    top: 100px;
  }
}
</style>
